module HourCount(	Clock,		// Clock Signal
			Reset,		// Power-up Reset
			Enable,		// Count an hour
			Hour,		// The current hour
			Rollover	// Goes high when we're about to roll over
		);

	input		Clock, Reset, Enable;
	output	[4:0]	Hour;
	output		Rollover;

	reg	[4:0]	Hour;

	assign	Rollover =				(Hour == 5'd23);

	always @ (posedge Clock) begin
		if (Reset) Hour <=			5'd0;
		else if (Enable) begin
			if (Rollover) Hour <=		5'd0;
			else Hour <=			Hour + 1;
		end
	end
endmodule